#!/usr/bin/env ruby
# $Id$

require 'cgi'
require 'amrita/template'
include Amrita
template = TemplateFile.new('index.html.in')

items = []
Dir['/usr/share/javadoc/*'].sort.each do |d|
  next unless FileTest.directory?(d)
  file = open("|rpm -qf --qf '%{name}\n%{url}\n%{summary}\n' '#{d}'")
  name = file.readline.chomp
  url = file.readline.chomp
  summary = file.readline.chomp
  items << {
    :info_line => {
      :name => name,
      :api => a(:href=>File.basename(d)) { "API" },
      :url => a(:href=>url) { "Homepage" }
    },  
    :summary_line => {
      :summary => summary,
    }
  }  
end

data = {}
data[:hostname] = `hostname`
data[:items] = items
cgi = CGI.new
puts cgi.header
template.prettyprint = true
template.expand($stdout, data)
